
# DATADIR="/opt/tiger/sumtest/cc100"
DATADIR="/opt/tiger/sumtest/wiki40b"

declare -A LANG_TAGS
LANG_TAGS=([en]="en_XX" [zh]="zh_CN" [fr]="fr_XX")

cd /opt/tiger/sumtest/crossLingualTransfer
skip_preprocess="true"
for lang in zh
do
    lg_tag=${LANG_TAGS[$lang]}
    time=$(date "+%Y%m%d %H:%M:%S")
    echo "Time: $time"
    command="bash dump_text_emb_mbart.sh mspm4_xgiga ${lg_tag} $DATADIR/$lang.first10k.txt wiki40b_encoder_${lang} ${skip_preprocess} --skip-invalid-size-inputs-valid-test"
    echo "Command: ${command}"
    $command
done
